---
lang: en
title: 'API docs: repository-json-schema.isarraytype'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository-json-schema.isarraytype.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository-json-schema](./repository-json-schema.md) &gt; [isArrayType](./repository-json-schema.isarraytype.md)

## isArrayType() function

Determines whether a given string or constructor is array type or not

<b>Signature:</b>

```typescript
export declare function isArrayType(type: string | Function): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | <code>string &#124; Function</code> | Type as string or wrapper |

<b>Returns:</b>

`boolean`


